Package org.osgi.service.log

# Interface LogListener

All Superinterfaces:
  `EventListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@ConsumerType @FunctionalInterface public interface LogListener extends EventListener
Subscribes to `LogEntry` objects from the `LogReaderService`.

A `LogListener` object may be registered with the Log Reader Service using the `LogReaderService.addLogListener` method. After the listener is registered, the `logged` method will be called for each `LogEntry` object created. The `LogListener` object may be unregistered by calling the `LogReaderService.removeLogListener` method.

Since 1.4,

invalid reference

    org.osgi.service.log.stream.LogStreamProvider

is the preferred way to obtain `LogEntry` objects.

## Method Summary

Modifier and Type
Method
Description
`void`
`logged(LogEntry entry)`
Listener method called for each LogEntry object created.

## Method Details

### logged

void logged(LogEntry entry)
Listener method called for each LogEntry object created.

Parameters:
  `entry` - A `LogEntry` object containing log information.